summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorDavide Pesavento <pesa@gentoo.org>2015-06-09 18:13:42 +0000
committerDavide Pesavento <pesa@gentoo.org>2015-06-09 18:13:42 +0000
commitfac0ec620937e8d408b143a16265fe78ea91f850 (patch)
tree6a80dfdfb4ef19b93fcb2d6beb159ea00f418ac0 /eclass
parentUpdating remote-id in metadata.xml (diff)
downloadgentoo-2-fac0ec620937e8d408b143a16265fe78ea91f850.tar.gz
gentoo-2-fac0ec620937e8d408b143a16265fe78ea91f850.tar.bz2
gentoo-2-fac0ec620937e8d408b143a16265fe78ea91f850.zip
Remove two seds that are no longer needed on current Qt versions.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog5
-rw-r--r--eclass/qt4-build-multilib.eclass40
2 files changed, 13 insertions, 32 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index cb6c3d3674b0..9bb33471e59e 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,9 @@
# ChangeLog for eclass directory
# Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1645 2015/06/09 10:18:38 eva Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1646 2015/06/09 18:13:42 pesa Exp $
+
+ 09 Jun 2015; Davide Pesavento <pesa@gentoo.org> qt4-build-multilib.eclass:
+ Remove two seds that are no longer needed on current Qt versions.
09 Jun 2015; Gilles Dartiguelongue <eva@gentoo.org> gnome2.eclass,
vala.eclass:
diff --git a/eclass/qt4-build-multilib.eclass b/eclass/qt4-build-multilib.eclass
index 4851f955c69c..1fdbe26fc873 100644
--- a/eclass/qt4-build-multilib.eclass
+++ b/eclass/qt4-build-multilib.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build-multilib.eclass,v 1.16 2015/05/31 13:56:53 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build-multilib.eclass,v 1.17 2015/06/09 18:13:42 pesa Exp $
# @ECLASS: qt4-build-multilib.eclass
# @MAINTAINER:
@@ -459,8 +459,15 @@ qt4_multilib_src_install() {
fi
fi
+ # move pkgconfig files to the correct directory
+ local pcfile
+ for pcfile in "${D}/${QT4_LIBDIR}"/pkgconfig/*.pc; do
+ dodir /usr/$(get_libdir)/pkgconfig
+ mv "${pcfile}" "${ED}"/usr/$(get_libdir)/pkgconfig || die
+ done
+ rmdir "${D}/${QT4_LIBDIR}"/pkgconfig || die
+
install_qconfigs
- fix_library_files
fix_includes
}
@@ -547,7 +554,6 @@ qt4_prepare_env() {
QT4_PREFIX=${EPREFIX}/usr
QT4_HEADERDIR=${QT4_PREFIX}/include/qt4
QT4_LIBDIR=${QT4_PREFIX}/$(get_libdir)/qt4
- QT4_PCDIR=${QT4_PREFIX}/$(get_libdir)/pkgconfig
QT4_BINDIR=${QT4_LIBDIR}/bin
QT4_PLUGINDIR=${QT4_LIBDIR}/plugins
QT4_IMPORTDIR=${QT4_LIBDIR}/imports
@@ -699,34 +705,6 @@ generate_qconfigs() {
fi
}
-# @FUNCTION: fix_library_files
-# @INTERNAL
-# @DESCRIPTION:
-# Fixes the paths in *.prl and *.pc, as they are wrong due to sandbox, and
-# moves the *.pc files into the pkgconfig directory.
-fix_library_files() {
- local libfile
- for libfile in "${D}"/${QT4_LIBDIR}/{*.prl,pkgconfig/*.pc}; do
- if [[ -e ${libfile} ]]; then
- sed -i -e "s:${S}/lib:${QT4_LIBDIR}:g" ${libfile} || die "sed on ${libfile} failed"
- fi
- done
-
- # pkgconfig files refer to WORKDIR/bin as the moc and uic locations
- for libfile in "${D}"/${QT4_LIBDIR}/pkgconfig/*.pc; do
- if [[ -e ${libfile} ]]; then
- sed -i -e "s:${S}/bin:${QT4_BINDIR}:g" ${libfile} || die "sed on ${libfile} failed"
-
- # Move .pc files into the pkgconfig directory
- dodir ${QT4_PCDIR#${EPREFIX}}
- mv ${libfile} "${D}"/${QT4_PCDIR}/ || die "moving ${libfile} to ${D}/${QT4_PCDIR}/ failed"
- fi
- done
-
- # Don't install an empty directory
- rmdir "${D}"/${QT4_LIBDIR}/pkgconfig
-}
-
# @FUNCTION: fix_includes
# @DESCRIPTION:
# For MacOS X we need to add some symlinks when frameworks are